summaryrefslogtreecommitdiff
path: root/init.d/40vcs-init
diff options
context:
space:
mode:
Diffstat (limited to 'init.d/40vcs-init')
-rwxr-xr-xinit.d/40vcs-init17
1 files changed, 17 insertions, 0 deletions
diff --git a/init.d/40vcs-init b/init.d/40vcs-init
new file mode 100755
index 0000000..3c7a3bb
--- /dev/null
+++ b/init.d/40vcs-init
@@ -0,0 +1,17 @@
+#!/bin/sh
+set -e
+
+if [ "$VCS" = git ] && [ ! -e .git ]; then
+ git init
+ echo "$(hostname) /etc repository" > .git/description
+elif [ "$VCS" = hg ] && [ ! -e .hg ]; then
+ hg init
+ echo "[web]" > .hg/hgrc
+ echo "description = $(hostname) /etc repository" >> .hg/hgrc
+elif [ "$VCS" = bzr ] && [ ! -e .bzr ]; then
+ bzr init
+ bzr nick "$(hostname) /etc repository"
+elif [ "$VCS" = darcs ] && [ ! -e _darcs ]; then
+ darcs initialize
+ echo "$(hostname) /etc repository" > _darcs/prefs/motd
+fi